%define plugin_name	telegram-tdlib
%define upstream_name	tdlib-purple

Name:		purple-%{plugin_name}
Version:	0.8.1
Release:	%mkrel 1
Summary:	Libpurple Telegram plugin using tdlib
Group:		Networking/Instant messaging
License:	GPLv2+
URL:		https://github.com/ars3niy/tdlib-purple/
Source0:	%{url}/archive/v%{version}/%{upstream_name}-%{version}.tar.gz
Patch1:		0001-Update-to-tdlib-1.8.0.patch
Patch2:		tdlib-purple-linking.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(purple)
BuildRequires:	pkgconfig(rlottie)
BuildRequires:	pkgconfig(tdapi) >= 1.8.0
BuildRequires:	pkgconfig(tdutils) >= 1.8.0
BuildRequires:	pkgconfig(tgvoip)
BuildRequires:	pkgconfig(zlib)

Provides:	%{upstream_name} = %{version}-%{release}
Provides:	purple-telegram = %{version}-%{release}
Obsoletes:	purple-telegram < 1.4.6-3

%description
A libpurple plugin that adds support for the Telegram messenger.

%package -n pidgin-%{plugin_name}
Summary:	Adds pixmaps, icons and smileys for Telegram protocol
Group:		Networking/Instant messaging
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}
Requires:	pidgin

%description -n pidgin-%{plugin_name}
Adds pixmaps, icons and smileys for Telegram protocol implemented
by %{upstream_name}.

%prep
%autosetup -n %{upstream_name}-%{version} -p1

# fix W: wrong-file-end-of-line-encoding
sed -i -e "s,\r,," README.md

%build
%cmake -DNoBundledLottie=ON \
       -Dtgvoip_INCLUDE_DIRS=%{_includedir}/tgvoip
%cmake_build

%install
%cmake_install

%find_lang %{upstream_name}

%files -f %{upstream_name}.lang
%license LICENSE
%doc README.md
%{_libdir}/purple-2/lib%{plugin_name}.so
%{_metainfodir}/%{upstream_name}.metainfo.xml

%files -n pidgin-%{plugin_name}
%license LICENSE
%doc README.md
%{_datadir}/pixmaps/pidgin/protocols/*/telegram*.png


%changelog
* Sat Apr 08 2023 daviddavid <daviddavid> 0.8.1-1.mga9
+ Revision: 1951715
- initial package purple-telegram-tdlib (a replacement for purple-telegram mga#31773)

